Package org.apache.ignite.internal.processors.metric

## Class GridMetricManager.MemoryUsageMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.GridMetricManager.MemoryUsageMetrics

Enclosing class:
  GridMetricManager

    public class GridMetricManager.MemoryUsageMetrics
    extends Object

Memory usage metrics.

### Constructor Summary

Constructors
`MemoryUsageMetrics​(String grp, String metricNamePrefix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `update​(MemoryUsage usage)` Updates metric to the provided values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryUsageMetrics

    public MemoryUsageMetrics​(String grp,
                              String metricNamePrefix)

Parameters:
  `grp` - Metric registry.
  `metricNamePrefix` - Metric name prefix.

### Method Detail

#### update

    public void update​(MemoryUsage usage)

Updates metric to the provided values.